#include "Reservation.h"


//* Reservation(wxString macAddress, wxString ipAddress)
//
// parameters:
// - macAddress (wxString/wxEmptyString): MAC address
// - dir (wxString/wxEmptyString): IP address

Reservation::Reservation(wxString macAddress, wxString ipAddress)
{
    this->macAddress = macAddress;
    this->ipAddress = ipAddress;
}


//*** getters

wxString Reservation::GetMACAddress() const { return this->macAddress; }

wxString Reservation::GetIPAddress() const { return this->ipAddress; }


//*** setters

void Reservation::SetMACAddress(wxString newMacAddress) { this->macAddress = newMacAddress; }

void Reservation::SetIPAddress(wxString newIpAddress) { this->ipAddress = newIpAddress; }
