#ifndef RESERVATION_H
#define RESERVATION_H

#include <wx/wx.h>


//** class Reservation
//
// Stores reservation information
//
// derived from: <none>

class Reservation
{
    public:
        Reservation(
            wxString macAddress = wxEmptyString,
            wxString ipAddress = wxEmptyString);

        wxString GetMACAddress() const;
        wxString GetIPAddress() const;

        void SetMACAddress(wxString newMacAddress);
        void SetIPAddress(wxString newIpAddress);

    private:
        wxString macAddress;
        wxString ipAddress;
};

#endif // RESERVATION_H
